Skip to main content

create-file

Description

Fires when creating a file

Usage

"create-file": ({
file: File,
parent: string,
newId?: string,
}) => void | false;

Parameters

The callback of the create-file action takes an object with the following parameters:

  • file - an object with the file parameters:
    • name (string) - (required) the file name
    • date (Date) - (optional) the Date object that represents the date of the entity
    • type (string) - (optional) the type of an entity which can be "file" | "folder"
    • size (number) - (optional) the size of an item in bytes
    • file - (optional) the file object retrieved after uploading a file; the properties are the same as described here: https://developer.mozilla.org/en-US/docs/Web/API/File#instance_properties
  • parent - (required) a folder where an item was created
  • newId - (optional) an id that is automatically given to a new file

Returning false from the event handler will block the create-file operation, which you can do via the api.intercept() method.

Example

import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/react-filemanager";

function init(api) {
api.intercept("create-file", ({ parent, file }) => {
console.log(`${file.name} was created in the ${parent}`);
});
}

export default function App() {
return (
<Filemanager data={getData()} drive={getDrive()} init={init} />
);
}

Related articles: How to access File Manager API

Skip to main content

create-file

Description

Fires when creating a file

Usage

"create-file": ({
file: File,
parent: string,
newId?: string,
}) => void | false;

Parameters

The callback of the create-file action takes an object with the following parameters:

  • file - an object with the file parameters:
    • name (string) - (required) the file name
    • date (Date) - (optional) the Date object that represents the date of the entity
    • type (string) - (optional) the type of an entity which can be "file" | "folder"
    • size (number) - (optional) the size of an item in bytes
    • file - (optional) the file object retrieved after uploading a file; the properties are the same as described here: https://developer.mozilla.org/en-US/docs/Web/API/File#instance_properties
  • parent - (required) a folder where an item was created
  • newId - (optional) an id that is automatically given to a new file

Returning false from the event handler will block the create-file operation, which you can do via the api.intercept() method.

Example

<script setup>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/vue-filemanager";

function init(api){
api.intercept("create-file", ({ parent, file }) => {
console.log(`${file.name} was created in the ${parent}`);
});
}

</script>

<template>
<Filemanager :data="getData()" :drive="getDrive()" :init="init" />
</template>

Related articles: How to access File Manager API